--- cmake/FindQwt5.cmake.orig	2013-07-10 19:37:33.000000000 +0900
+++ cmake/FindQwt5.cmake	2014-06-14 13:27:09.000000000 +0900
@@ -45,7 +45,11 @@
 		IF( UNIX AND NOT CYGWIN)
 			IF( Qwt5_Qt4_TENTATIVE_LIBRARY )
 				#MESSAGE("Qwt5_Qt4_TENTATIVE_LIBRARY = ${Qwt5_Qt4_TENTATIVE_LIBRARY}")
-				EXECUTE_PROCESS( COMMAND "ldd" ${Qwt5_Qt4_TENTATIVE_LIBRARY} OUTPUT_VARIABLE Qwt_Qt4_LIBRARIES_LINKED_TO )
+				IF(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
+					EXECUTE_PROCESS( COMMAND "otool" -L ${Qwt5_Qt4_TENTATIVE_LIBRARY} OUTPUT_VARIABLE Qwt_Qt4_LIBRARIES_LINKED_TO ERROR_VARIABLE ERRORTEST)
+				ELSE(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
+					EXECUTE_PROCESS( COMMAND "ldd" ${Qwt5_Qt4_TENTATIVE_LIBRARY} OUTPUT_VARIABLE Qwt_Qt4_LIBRARIES_LINKED_TO )
+				ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
 				STRING( REGEX MATCH "QtCore" Qwt5_IS_LINKED_TO_Qt4 ${Qwt_Qt4_LIBRARIES_LINKED_TO})
 				IF( Qwt5_IS_LINKED_TO_Qt4 )
 					SET( Qwt5_Qt4_LIBRARY ${Qwt5_Qt4_TENTATIVE_LIBRARY} )
@@ -70,7 +74,11 @@
 		IF( UNIX AND NOT CYGWIN)
 			IF( Qwt5_Qt3_TENTATIVE_LIBRARY )
 				#MESSAGE("Qwt5_Qt3_TENTATIVE_LIBRARY = ${Qwt5_Qt3_TENTATIVE_LIBRARY}")
-				EXECUTE_PROCESS( COMMAND "ldd" ${Qwt5_Qt3_TENTATIVE_LIBRARY} OUTPUT_VARIABLE Qwt-Qt3_LIBRARIES_LINKED_TO )
+				IF(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
+					EXECUTE_PROCESS( COMMAND "otool" -L ${Qwt5_Qt3_TENTATIVE_LIBRARY} OUTPUT_VARIABLE Qwt-Qt3_LIBRARIES_LINKED_TO )
+				ELSE(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
+					EXECUTE_PROCESS( COMMAND "ldd" ${Qwt5_Qt3_TENTATIVE_LIBRARY} OUTPUT_VARIABLE Qwt-Qt3_LIBRARIES_LINKED_TO )
+				ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
 				STRING( REGEX MATCH "qt-mt" Qwt5_IS_LINKED_TO_Qt3 ${Qwt-Qt3_LIBRARIES_LINKED_TO})
 				IF( Qwt5_IS_LINKED_TO_Qt3 )
 					SET( Qwt5_Qt3_LIBRARY ${Qwt5_Qt3_TENTATIVE_LIBRARY} )
